Subject: Re: Request for linux-next inclusion of the voyager tree

From: Linus Torvalds <[email-masked]>
Date: Wed, 10 Jun 2009 08:33:21 -0700 (PDT)

On Wed, 10 Jun 2009, James Bottomley wrote:
> 
> Pretty much, yes.  The problem isn't in the voyager code, it's in the
> residual subarchitecture clean up.  As the x86 tree evolves, that's what
> keeps conflicting mainly because adjacent areas get altered.  Once
> that's upstream, the voyager piece should be a smooth ride.

Quite frankly, in that case I think that in order to get Voyager merged, 
we should just get the subarchitecture code cleaned up _first_.

The thing is, I do agree with Ingo that Voyager is not _nearly_ important 
enough to be rammed through in some ugly manner. And if the plan is to get 
it all done cleanly in the end anyway, then there is certainly no hurry 
what-so-ever in getting Voyager merged _before_ it's possible to merge it 
cleanly.

			Linus